reducers-3.12.1: Semigroups, specialized containers and a general map/reduce framework

Copyright | (c) Edward Kmett 2009-2011
License | BSD-style
Maintainer | ekmett@gmail.com
Stability | experimental
Portability | non-portable (MPTCs)
Safe Haskell | Trustworthy
Language | Haskell98

Data.Semigroup.MonadPlus

Description

A semigroup for working with instances of `MonadPlus`

Synopsis

- newtype MonadSum f a = MonadSum {
  - getMonadSum :: f a
  }

# Documentation

newtype MonadSum f a Source

A `MonadSum` turns any `MonadPlus` instance into a `Monoid`.

Constructors

MonadSum |

Fields

getMonadSum :: f a

Instances

Monad f => Monad (MonadSum f) Source |
Functor f => Functor (MonadSum f) Source |
Applicative f => Applicative (MonadSum f) Source |
Alternative f => Alternative (MonadSum f) Source |
MonadPlus f => MonadPlus (MonadSum f) Source |
MonadPlus f => Reducer (f a) (MonadSum f a) Source |
MonadPlus f => Monoid (MonadSum f a) Source |
MonadPlus f => Semigroup (MonadSum f a) Source |